7.5
CVSSv2

CVE-2010-5096

Published: 13/08/2012 Updated: 14/08/2012
CVSS v2 Base Score: 7.5 | Impact Score: 6.4 | Exploitability Score: 10
VMScore: 760
Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Summary

** DISPUTED ** Multiple SQL injection vulnerabilities in MyBB (aka MyBulletinBoard) prior to 1.6.1 allow remote malicious users to execute arbitrary SQL commands via the keywords parameter in a (1) do_search action to search.php or (2) do_stuff action to private.php. NOTE: the vendor disputes this issue, saying "Although this doesn't lead to an SQL injection, it does provide a general MyBB SQL error."

Affected Products

Vendor Product Versions
MybbMybb1.0, 1.00, 1.01, 1.1.0, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.1.7, 1.1.8, 1.02, 1.2, 1.2.0, 1.2.1, 1.2.2, 1.2.3, 1.2.4, 1.2.5, 1.2.6, 1.2.7, 1.2.8, 1.2.9, 1.2.10, 1.2.11, 1.2.12, 1.2.13, 1.2.14, 1.03, 1.3, 1.04, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.4.8, 1.4.9, 1.4.10, 1.4.11, 1.4.12, 1.4.13, 1.4.14, 1.4.15, 1.4.16, 1.5.1, 1.5.2, 1.6.0
MybboardMybb1.4.3, 1.4.10

Exploits

source: wwwsecurityfocuscom/bid/45565/info MyBB is prone to multiple SQL-injection vulnerabilities because it fails to sufficiently sanitize user-supplied data before using it in an SQL query Exploiting these issues could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the u ...
source: wwwsecurityfocuscom/bid/45565/info MyBB is prone to multiple SQL-injection vulnerabilities because it fails to sufficiently sanitize user-supplied data before using it in an SQL query Exploiting these issues could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the und ...